﻿using BPA.KitChen.GroupMeal.Core.Enum;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.GroupMeal.Application.Service.OneCard.Gate.Dto
{
    public class GateInfoQueryDto
    {
        /// <summary> 
        ///  id
        /// </summary> 
        public string Id { get; set; }
        /// <summary> 
        ///  
        /// </summary> 
        public string Name { get; set; }
        /// <summary> 
        ///  
        /// </summary> 
        public string StoreId { get; set; }
        public string StoreName { get; set; }
        /// <summary> 
        ///  收费方式（1，固定金额2，自由设定）
        /// </summary> 
        public int Mode { get; set; } = 0;
        public decimal Price { get; set; }
        public string Remaek { get; set; }
        public CommonStatus Status { get; set; } = CommonStatus.DISABLE;
        public DateTime? UpdateAt { get; set; }
        public DateTime CreateAt { get; set; }
    }
}
