﻿using BPA.KitChen.GroupMeal.Application.BaseDto;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
namespace BPA.KitChen.GroupMeal.Application.Service.OneCard.Member.MemberInfo.Dtos.MemberTag
{
    /// <summary>
    /// 会员标签查询类
    /// </summary>
    public class MemberTagQueryDto : PageInputBase
    {
        /// <summary>
        /// 编号
        /// </summary>
        public string Id { get; set; }
        /// <summary>
        /// 会员标签名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 平台标签 0:默认 1.微信 2.支付宝
        /// </summary>
        public string PlatformType { get; set; }
        /// <summary>
        /// 排序
        /// </summary>
        public int Sort { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime? CreateAt { get; set; }
        /// <summary>
        /// 状态
        /// </summary>
        public int? Status { get; set; }
    }
}
