﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.GroupMeal.Application.Service.OneCard.StoredValueCard.Dto
{
    public class MemberAccountOutDto
    {
        public string Id { get; set; }
        public string Name { get; set; }
        public string MemberPhone { get; set; }

        public string MemberCardNum { get; set; }
        public string HeadImgUrl { get; set; }

        public string MemberInfoId { get; set; }
        public decimal Money { get; set; }

        public List<CardDto> Cards { get; set; }
    }

    public class CardDto
    {
        public string Id { get; set; }

        public string MemberInfoId{ get; set; }

        public string CardNum { get; set; }
        public DateTime CreateAt { get; set; }

        /// <summary>
        /// 1.人脸，2.实体卡，3.指纹
        /// </summary>
        public int Type { get; set; }

        /// <summary>
        /// 0.禁用 1.正常 2.挂失 3.作废
        /// </summary>
        public int State { get; set; }
    }
}
