﻿using BPA.Kitchen.Core.Common;
using BPA.KitChen.GroupMeal.Core.Enum;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.GroupMeal.Application.Service.OneCard.StoredValueCard.Dto
{
   public class MemberInfoBaseDto
    {
        /// <summary> 
        ///  
        /// </summary> 
        public string Id { get; set; }
        /// <summary> 
        ///  
        /// </summary> 
        public string NickName { get; set; }
        /// <summary> 
        /// 0=未知   1=男    2=女 
        /// </summary> 
        public int Sex { get; set; }
        /// <summary> 
        /// 头像 
        /// </summary> 
        public string HeadImgUrl { get; set; }
        /// <summary> 
        /// 国家 
        /// </summary> 
        public string Country { get; set; }
        /// <summary> 
        /// 省 
        /// </summary> 
        public string Province { get; set; }
        /// <summary> 
        /// 市 
        /// </summary> 
        public string City { get; set; }
        /// <summary> 
        /// 县（区） 
        /// </summary> 
        public string County { get; set; }
        /// <summary> 
        /// 具体地址 
        /// </summary> 
        public string Address { get; set; }
        /// <summary> 
        /// 出生日期 
        /// </summary> 
        public DateTime Birthday { get; set; }
        /// <summary> 
        /// 电话 
        /// </summary> 
        public string Phone { get; set; }
        /// <summary> 
        /// 真实姓名 
        /// </summary> 
        public string RealName { get; set; }
        /// <summary> 
        /// 身份证号码 
        /// </summary> 
        public string CardNum { get; set; }
        /// <summary> 
        /// 等级 
        /// </summary> 
        public string Level_Id { get; set; }
        /// <summary> 
        /// 0：正常 1停用 
        /// </summary> 
        //[CustomValidation(typeof(DtoValidator), "Status")]
        public CommonStatus Status { get; set; }
        /// <summary> 
        /// 向外展示那个平台的信息 0:默认 1.微信 2.支付宝 
        /// </summary> 
        public int ShowPlatformType { get; set; }
        /// <summary> 
        ///  
        /// </summary> 
        public int IsDeleted { get; set; }
        /// <summary> 
        ///  
        /// </summary> 
        public DateTime CreateAt { get; set; }
        /// <summary> 
        ///  
        /// </summary> 
        public string CreateBy { get; set; }
        /// <summary> 
        ///  
        /// </summary> 
        public DateTime DeleteAt { get; set; }
        /// <summary> 
        ///  
        /// </summary> 
        public string DeleteBy { get; set; }
        /// <summary> 
        ///  
        /// </summary> 
        public DateTime UpdateAt { get; set; }
        /// <summary> 
        ///  
        /// </summary> 
        public string UpdateBy { get; set; }
        /// <summary> 
        ///  
        /// </summary> 
        public string GroupId { get; set; }

        public List<MemberTagOutDto> MemberTag { get; set; }
        public List<PlatformMemberInfoBaseDto> PlatformMemberInfos { get; set; }
        
        /// <summary>
        /// 平台
        /// </summary>
       public int PlatformType { get; set; }
    }
}
