﻿
using BPA.KitChen.GroupMeal.Core.Entity.Base;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.GroupMeal.Core.Entity
{
    [SugarTable("bpa_devicepushrecode")]
    public class BPA_DevicePushRecode : IBaseGroupIdEntity
    {
        public string DeviceId { get; set; }
        public string DeviceName { get; set; }
        /// <summary>
        /// 下发类型1商品 2物料 3配方 4工艺
        /// </summary>
        public int Type { get; set; }
        public string GroupId { get; set; }
        public string Topic { get; set; }
        [SugarColumn(ColumnDataType = "varchar(1000)")]
        public string DataResore { get; set; }
    }
}
