﻿using BPA.KitChen.GroupMeal.Core.Enum;
using System.ComponentModel.DataAnnotations;

namespace BPA.KitChen.GroupMeal.Application.Service.OneCard.Member.MemberTag.Dtos
{
    /// <summary>
    /// MemberTagDto
    /// </summary>
    public class MemberTagDto
    {
        /// <summary>
        /// 编号
        /// </summary>
        public string Id { get; set; }
        /// <summary>
        /// 会员标签名称
        /// </summary>
        [Required]
        public string Name { get; set; }
        /// <summary>
        /// 排序
        /// </summary>
        //[Range(0, int.MaxValue, ErrorMessage = "排序必须大于0")]
        public int Sort { get; set; } = 0;
        /// <summary>
        /// 平台标签 0:默认 1.微信 2.支付宝
        /// </summary>
        //[Range(0, 4, ErrorMessage = "平台标签只能输入0,1,2")]
        public int PlatformType { get; set; }
        /// <summary>
        /// 状态
        /// </summary>
        //[Range(0, 1, ErrorMessage = "状态只能输入0或者1")]
        public int Status { get; set; } 
    }
}
