﻿using BPA.KitChen.GroupMeal.Core.Enum;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.GroupMeal.Application.Service.OneCard.PayCardInfo.Dto
{
    public class PayCardInfoAddDto
    {
        /// <summary>
        /// 设备名称
        /// </summary>
        public string Name { get; set; }
        /// <summary> 
        ///  档口id
        /// </summary> 
        public string GateId { get; set; }
        /// <summary> 
        ///  间隔时间
        /// </summary> 
        public int SleepTime { get; set; }
        /// <summary>
        /// 读取地址
        /// </summary>
        public string Address { get; set; }
        public CommonStatus Status { get; set; } = CommonStatus.DISABLE;
    }
    public class PayCardInfoUpdateDto
    {
        /// <summary> 
        ///  id
        /// </summary> 
        public string Id { get; set; }
        /// <summary>
        /// 设备名称
        /// </summary>
        public string Name { get; set; }
        /// <summary> 
        ///  档口id
        /// </summary> 
        public string GateId { get; set; }
        /// <summary> 
        ///  间隔时间
        /// </summary> 
        public int SleepTime { get; set; }
        /// <summary>
        /// 读取地址
        /// </summary>
        public string Address { get; set; }
        public CommonStatus Status { get; set; }
    }
    public class PayCardInfoEnableDto
    {
        public string Id { get; set; }
        public CommonStatus Status { get; set; }
    }
}
