﻿using BPA.KitChen.GroupMeal.Core.Entity.Base;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.Kitchen.Core.Models.SYS
{
    /// <summary>
    /// 数据字典
    /// </summary>
    public class DictDataDto : IEntity
    {
        /// <summary>
        /// 字典类型
        /// </summary>
        public string TypeId { get; set; }
        /// <summary>
        /// 字典值
        /// </summary>
        public string Value { get; set; }
        /// <summary>
        /// 编码
        /// </summary>
        public string Code { get; set; }
        /// <summary>
        /// 排序
        /// </summary>
        public int Sort { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }
        /// <summary>
        /// 数据字典扩展
        /// </summary>
        public string Extend { get; set; }
    }
}
