﻿using BPA.KitChen.GroupMeal.Application.BaseDto;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BBPA.KitChen.GroupMeal.Application.Service.OneCard.ReportStatistics.Reservation.Dto
{
    public class ReservationQueryInput : PageInputBase
    {
        public DateTime beginTime { get; set; }
        public DateTime endTime { get; set; }
        public string OrgName { get; set; }
        public string MealType { get; set; }
    }
    public class GetDayConsumeInfoQueryInput : PageInputBase
    {
        public DateTime StartTime { get; set; }
        public DateTime EndTime { get; set; }
        public string UserName { get; set; }
        public string OrgName { get; set; }
        public string TimeInterval { get; set; }

        
        public bool IsPay { get; set; }=true;
    }
    public class ReservationUserGoodsQueryInput
    {
        public DateTime beginTime { get; set; }
        public DateTime endTime { get; set; }
        public string UserId { get; set; }
    }

    public class ReservationUserGoodsQueryOut
    {
        public DateTime ReservationTime { get; set; }
        public int Qty { get; set; }
        public string Id { get; set; }
        public string MealType { get; set; }
        public string Name { get; set; }
    }
    public class ReservationTimingBasicsInput
    {
        public string GroupId { get; set; }
        /// <summary>
        /// 通知类型 ,wechat 微信通知,Reservation 预定通知
        /// </summary>
        public string NoticeType { get; set; }
    }
    public class ReservationTimingUserInput
    {
        public string GroupId { get; set; }
        public string[] Tel { get; set; }
        public string reserveTime { get; set; }
        public string reserveWarning { get; set; }
    }

    public class ReservationTimingGoodsInput
    {
        public DateTime ReservationTime { get; set; }
        public string GroupId { get; set; }
    }


    public class ReservationTimingGoodsOutput
    {

        public string Id { get; set; }
        public string MealType { get; set; }
        public string GoodsName { get; set; }
        public int Qty { get; set; }
        public string ReservationTime { get; set; }
    }
    public class ReservationTimingUserOutput
    {

        public string openId { get; set; }
        public string appId { get; set; }
        public string reserveTime { get; set; }
        public string reserveWarning { get; set; }
    }
    public class ReservationTimingBasicsOutput
    {

        public string Phone { get; set; }
    }

}
