﻿using BPA.KitChen.GroupMeal.Core.Entity.Base;
using BPA.KitChen.GroupMeal.Core.Enum;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.GroupMeal.Core.Entity
{

    /// <summary>
    /// 档口
    /// </summary>
    [SugarTable("bpa_gate")]
    public class BPA_Gate : IBaseGroupIdEntity
    {

        /// <summary> 
        ///  
        /// </summary> 
        public string Name { get; set; }
        /// <summary> 
        ///  
        /// </summary> 
        public string StoreId { get; set; }
        /// <summary> 
        ///  收费方式（1，固定金额2，自由设定）
        /// </summary> 
        public int Mode { get; set; } = 0;
        public decimal Price { get; set; }

        [SugarColumn(ColumnDataType = "nvarchar(1000)", IsNullable = true)]
        public string Remaek { get; set; }
    }
}
