﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using BPA.KitChen.GroupMeal.Core.Entity.Base;
using SqlSugar;

namespace BPA.KitChen.GroupMeal.Core.Entity
{
    /// <summary>
    /// 会员卡
    /// </summary>
    [SugarTable("bpa_membercard")]
    public class BPA_MemberCard : IBaseGroupIdEntity
    {
        public string CardNum { get; set; }

        /// <summary>
        /// 1.人脸，2.实体卡，3.指纹
        /// </summary>
        public int Type { get; set; }

        /// <summary>
        /// 0.禁用 1.正常 2.挂失 3.作废
        /// </summary>
        public int State { get; set; }
    }
}
