﻿using BPA.KitChen.GroupMeal.Core.Entity.Base;
using BPA.KitChen.GroupMeal.Core.Enum;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.GroupMeal.Core.Entity
{
    /// <summary>
    /// 会员标签
    /// </summary>
    [SugarTable("BPA_MemberTag")]
    public class BPA_MemberTag : IBaseGroupIdEntity
    {
        /// <summary>
        /// 会员标签名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 排序
        /// </summary>
        public int Sort { get; set; }
        /// <summary>
        /// 平台标签 0:默认 1.微信 2.支付宝
        /// </summary>
        public int PlatformType { get; set; }
    }
}
