﻿

using BPA.KitChen.GroupMeal.Core.Entity.Base;
using BPA.KitChen.GroupMeal.Core.Enum;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.GroupMeal.Core.Entity
{
    /// <summary>
    /// 平台会员标签
    /// </summary>
    [SugarTable("BPA_MemberTagInfo")]
    public class BPA_MemberTagInfo : IBaseGroupIdEntity
    {
        /// <summary>
        /// 会员标签Id
        /// </summary>
        public string MemberTag_Id { get; set; }
        /// <summary>
        /// 会员编号
        /// </summary>
        public string MemberInfo_Id { get; set; }
        /// <summary>
        /// 平台标签 0:默认 1.微信 2.支付宝
        /// </summary>
        public PlatformType PlatformType { get; set; }
    }
}
