﻿using BPA.KitChen.GroupMeal.Core.Entity.Base;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.GroupMeal.Core.Entity
{
    /// <summary>
    /// 商品预定表
    /// </summary>
    [SugarTable("BPA_ReservationOrder")]
    public class BPA_ReservationOrder : IBaseGroupIdEntity
    {
        public string GoodsId { get; set; }
        public string MealType { get; set; }
        public int Qty { get; set; }
        /// <summary>
        /// 预定时间
        /// </summary>
        public DateTime ReservationTime { get; set; } = DateTime.Now;
        public string UserId { get; set; }
        public string OrgName { get; set; }
    }
}
